## ros-kinetic-rokubimini-factory 0.5.9

=== debian/changelog ===
ros-kinetic-rokubimini-factory (0.5.9-2xenial) xenial; urgency=high

  * add url to wiki
  * fix catkin_lint warning: variable CMAKE_CXX_FLAGS is modified
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.8-2xenial) xenial; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.7-2xenial) xenial; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.6-2xenial) xenial; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.5-2xenial) xenial; urgency=high

  * Merge branch 'fix/ros-logging-fail' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!58
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.4-2xenial) xenial; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.3-2xenial) xenial; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.2-2xenial) xenial; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.1-2xenial) xenial; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-kinetic-rokubimini-factory (0.5.0-2xenial) xenial; urgency=high

  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'change-info-to-debug' into 'master'
    change some INFO to DEBUG
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * first abstracted try
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000
