=== debian/control ===
Source: ros-kinetic-rokubimini-factory
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-rokubimini, ros-kinetic-rokubimini-bus-manager, ros-kinetic-rokubimini-ethercat, ros-kinetic-rokubimini-serial
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-kinetic-rokubimini-factory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-kinetic-rokubimini, ros-kinetic-rokubimini-bus-manager, ros-kinetic-rokubimini-ethercat, ros-kinetic-rokubimini-serial
Description: C++ library deriving the abstract communication interface classes in the rokubimini library for EtherCAT.
